# Welcome to RIPE Atlas Sagan’s documentation!

A parsing library for RIPE Atlas measurement results

## Why This Exists

RIPE Atlas generates a lot of data, and the format of that data changes over time. Often you want to do something simple like fetch the median RTT for each measurement result between date X and date Y. Unfortunately, there are are dozens of edge cases to account for while parsing the JSON, like the format of errors and firmware upgrades that changed the format entirely.

To make this easier for our users (and for ourselves), we wrote an easy to use parser that’s smart enough to figure out the best course of action for each result, and return to you a useful, native Python object.

Contents:

- Requirements & Installation
  - Requirements
  - Installation
- Use & Examples
  - How To Use This Library
  - Examples
- Attributes & Methods
  - Common Attributes
  - Ping
  - Traceroute
  - DNS
  - SSL Certificate
  - HTTP
  - NTP
- How To Contribute
- Changelog